#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.

debug=false
as_me=`echo "$0" | sed 's,.*/,,'`
SHELL=${CONFIG_SHELL-/bin/sh}

# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  set -o posix
fi

if expr a : '\(a\)' >/dev/null 2>&1; then
  as_expr=expr
else
  as_expr=false
fi
# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
  as_unset=unset
else
  as_unset=false
fi

# NLS nuisances.
$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }

# IFS
# We need space, tab and new line, in precisely that order.
ac_nl='
'
IFS=" 	$ac_nl"

# CDPATH.
$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }

# File descriptor usage:
# 0 standard input
# 1 file creation
# 2 errors and warnings
# 6 checking for... messages and results
# 5 compiler messages saved in config.log
if test "$silent" = yes; then
  exec 6>/dev/null
else
  exec 6>&1
fi
exec 5>>config.log

cat >&5 << EOF

## ----------------------- ##
## Running config.status.  ##
## ----------------------- ##

This file was extended by $as_me 2.49c, executed with
 > $0 $@
on `(hostname || uname -n) 2>/dev/null | sed 1q`

EOF

config_files=" Makefile.defs:MakeDefs.in lib/Makefile"
config_headers=" gstconf.h:gstconf.hin"
config_commands=" default"

ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.

Usage: $0 [OPTIONS] [FILE]...

  -h, --help       print this help, then exit
  -V, --version    print version number, then exit
  -d, --debug      don't remove temporary files
      --recheck    update $as_me by reconfiguring in the same conditions
  --file=FILE[:TEMPLATE]
                   instantiate the configuration file FILE
  --header=FILE[:TEMPLATE]
                   instantiate the configuration header FILE

Configuration files:
$config_files

Configuration headers:
$config_headers

Configuration commands:
$config_commands

Report bugs to <bug-autoconf@gnu.org>."
ac_cs_version="\
./config.status generated by configure (Autoconf 2.49c).
Configured on host ZASTAI          by
  configure -C --without-dld --without-x CFLAGS=-Os"

ac_given_srcdir='.'
ac_given_INSTALL="/dev/env/DJDIR/bin/install -c"
# If no file are specified by the user, then we need to provide default
# value.  By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
  case $1 in
  --*=*)
    ac_option=`expr "x$1" : 'x\([^=]*\)='`
    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
    shift
    set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
    shift
    ;;
  -*);;
  *) # This is not an option, so the user has probably given explicit
     # arguments.
     ac_need_defaults=false;;
  esac

  case $1 in
  # Handling of the options.
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
# This used to call:
#   exec /bin/bash 0 -C --without-dld --without-x CFLAGS=-Os --no-create --no-recursion ;;
# This breaks under DJGPP -- bash keeps config.status open, which prevents
#  configure from running rm and dtou on it. The rm isn't strictly necessary
#  as the redirection clobbers config.status anyway. The dtou however is
#  essential for bash versions prior to 2.03; they get awfully confused if a
#  script is half Unix and half DOS text.
# So we send output elsewhere first, and then use redirection to copy the
#  created file without incident.
# CONFIG_NAME holds the normal filename; CONFIG_STATUS holds the temporary
#  filename. Quoting is used to prevent the sed command below from substituting
#  it away.
    export CONFIG_NAME=./config.status
    export CONFIG_STATUS="./#recheck"".status#"
    echo "running /bin/bash configure " -C --without-dld --without-x CFLAGS=-Os " --no-create --no-recursion"
    /bin/bash configure -C --without-dld --without-x CFLAGS=-Os --no-create --no-recursion
    ok=$?
    if test $ok = 0; then
      # Substitute the right name back in; the needed quoting prevents this
      #  line from being affected.
      sed -e 's|\./#recheck\.status#|'$CONFIG_NAME'|g'         $CONFIG_STATUS >$CONFIG_NAME &&         rm -f $CONFIG_STATUS
      exit $?
    else
      exit $ok
    fi;;

  --version | --vers* | -V )
    echo "$ac_cs_version"; exit 0 ;;
  --he | --h)
    # Conflict between --help and --header
    { { echo "$as_me:7210: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; };;
  --help | --hel | -h )
    echo "$ac_cs_usage"; exit 0 ;;
  --debug | --d* | -d )
    debug=: ;;
  --file | --fil | --fi | --f )
    shift
    CONFIG_FILES="$CONFIG_FILES $1"
    ac_need_defaults=false;;
  --header | --heade | --head | --hea )
    shift
    CONFIG_HEADERS="$CONFIG_HEADERS $1"
    ac_need_defaults=false;;

  # Handling of arguments.
  'Makefile.defs' ) CONFIG_FILES="$CONFIG_FILES Makefile.defs:MakeDefs.in" ;;
  'lib/Makefile' ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
  'default' ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
  'gstconf.h' ) CONFIG_HEADERS="$CONFIG_HEADERS gstconf.h:gstconf.hin" ;;

  # This is an error.
  -*) { { echo "$as_me:7235: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; } ;;
  *) { { echo "$as_me:7240: error: invalid argument: $1" >&5
echo "$as_me: error: invalid argument: $1" >&2;}
   { (exit 1); exit 1; }; };;
  esac
  shift
done

# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used.  Set only those that are not.
if $ac_need_defaults; then
  CONFIG_FILES=${CONFIG_FILES="$config_files"}
  CONFIG_HEADERS=${CONFIG_HEADERS="$config_headers"}
  CONFIG_COMMANDS=${CONFIG_COMMANDS="$config_commands"}
fi

# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  trap '{ (exit $?); exit $?; }' 1 2 13 15
}

# Create a (secure) tmp directory for tmp files.
: ${TMPDIR=/tmp}
{
  tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
  test -n "$tmp" && test -d "$tmp"
}  ||
{
  tmp=$TMPDIR/cs$$-$RANDOM
  (umask 077 && mkdir $tmp)
} ||
{
   echo "$me: cannot create a temporary directory in $TMPDIR" >&2
   { (exit 1); exit 1; }
}


#
# CONFIG_FILES section.
#

# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
  # Protect against being on the right side of a sed subst in config.status.
  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
s,@SHELL@,/bin/bash,;t t
s,@exec_prefix@,${prefix},;t t
s,@prefix@,/dev/env/DJDIR,;t t
s,@program_transform_name@,s,x,x,,;t t
s,@bindir@,${exec_prefix}/bin,;t t
s,@sbindir@,${exec_prefix}/sbin,;t t
s,@libexecdir@,${exec_prefix}/libexec,;t t
s,@datadir@,${prefix}/share,;t t
s,@sysconfdir@,${prefix}/etc,;t t
s,@sharedstatedir@,${prefix}/com,;t t
s,@localstatedir@,${prefix}/var,;t t
s,@libdir@,${exec_prefix}/lib,;t t
s,@includedir@,${prefix}/include,;t t
s,@oldincludedir@,/usr/include,;t t
s,@infodir@,${prefix}/info,;t t
s,@mandir@,${prefix}/man,;t t
s,@PACKAGE_NAME@,,;t t
s,@PACKAGE_TARNAME@,,;t t
s,@PACKAGE_VERSION@,,;t t
s,@PACKAGE_STRING@,,;t t
s,@PACKAGE_BUGREPORT@,,;t t
s,@ECHO_C@,,;t t
s,@ECHO_N@,-n,;t t
s,@ECHO_T@,,;t t
s,@CFLAGS@,-Os,;t t
s,@CPPFLAGS@,,;t t
s,@CXXFLAGS@,,;t t
s,@FFLAGS@,,;t t
s,@DEFS@,-DHAVE_CONFIG_H,;t t
s,@LDFLAGS@,,;t t
s,@LIBS@,-lsocket -lm  -lreadline ,;t t
s,@CC@,gcc,;t t
s,@ac_ct_CC@,gcc,;t t
s,@OBJEXT@,o,;t t
s,@EXEEXT@,.exe,;t t
s,@CPP@,gcc -E,;t t
s,@INSTALL_PROGRAM@,${INSTALL},;t t
s,@INSTALL_SCRIPT@,${INSTALL},;t t
s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
s,@RANLIB@,ranlib,;t t
s,@ac_ct_RANLIB@,ranlib,;t t
s,@SET_MAKE@,,;t t
s,@INSTALL_INFO@,install-info,;t t
s,@MAKEINFO@,makeinfo,;t t
s,@AUTOCONF@,autoconf,;t t
s,@AUTOHEADER@,autoheader,;t t
s,@BISON@,bison,;t t
s,@ALLOCA@,,;t t
s,@LIBOBJS@, obstack.o,;t t
s,@DLD_MODULE@,dld_none,;t t
s,@X_CFLAGS@,,;t t
s,@X_PRE_LIBS@,,;t t
s,@X_LIBS@,,;t t
s,@X_EXTRA_LIBS@,,;t t
s,@TCL_LIBS@,,;t t
s,@CDEBUG@,-g,;t t
s,@GCC_CFLAGS@,,;t t
s,@GCC_OPT_CFLAGS@,-fno-inline-functions -fomit-frame-pointer -fno-unroll-loops,;t t
s,@GST_TAB@,gst_tab,;t t
s,@ICON@,,;t t
s,@IMAGE_PATH@,/dev/env/DJDIR/share/gnu-smalltalk,;t t
s,@KERNEL_PATH@,/dev/env/DJDIR/share/gnu-smalltalk/kernel,;t t
s,@LDPATH@,,;t t
s,@MAINTAINER@,bonzini@gnu.org,;t t
s,@PLATFORM@,msdos,;t t
s,@RM@,rm -f,;t t
s,@SPECIAL_INTERP@,,;t t
s,@ST_EDIT_VERSION@,5,;t t
s,@ST_MAJOR_VERSION@,1,;t t
s,@ST_MINOR_VERSION@,7,;t t
s,@VERSION@,1.7.5,;t t
CEOF

  # Split the substitutions into bite-sized pieces for seds with
  # small command number limits, like on Digital OSF/1 and HP-UX.
  ac_max_sed_lines=48
  ac_sed_frag=1 # Number of current file.
  ac_beg=1 # First line for current file.
  ac_end=$ac_max_sed_lines # Line after last line for current file.
  ac_more_lines=:
  ac_sed_cmds=
  while $ac_more_lines; do
    if test $ac_beg -gt 1; then
      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
    else
      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
    fi
    if test ! -s $tmp/subs.frag; then
      ac_more_lines=false
    else
      # The purpose of the label and of the branching condition is to
      # speed up the sed processing (if there are no `@' at all, there
      # is no need to browse any of the substitutions).
      # These are the two extra sed commands mentioned above.
      (echo ':t
  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
      if test -z "$ac_sed_cmds"; then
  	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
      else
  	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
      fi
      ac_sed_frag=`expr $ac_sed_frag + 1`
      ac_beg=$ac_end
      ac_end=`expr $ac_end + $ac_max_sed_lines`
    fi
  done
  if test -z "$ac_sed_cmds"; then
    ac_sed_cmds=cat
  fi
fi # test -n "$CONFIG_FILES"

for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  if test -d /dev/env/DJDIR -a -n "$DJGPP" -a -f "$DJGPP"; then
    # Special rule for DOS paths. In order to prevent confusion between the
    # drivespec and the delimiter, we make it a /dev/-style path.
    case $ac_file in
      ?:[\\/]* )
	ac_file_in=`echo "$ac_file" |sed 's,^\(.\):\([\\/].*:\),/dev/\1\2,' \
        |sed 's,:\(.\):[\\/],:/dev/\1/,'`;;
    esac
  fi

  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case $ac_file in
  - | *:- | *:-:* ) # input from stdin
        cat >$tmp/stdin
        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  * )   ac_file_in=$ac_file.in ;;
  esac

  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
  ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$ac_file" : 'X\(//\)[^/]' \| \
         X"$ac_file" : 'X\(//\)$' \| \
         X"$ac_file" : 'X\(/\)' \| \
         .     : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    { case "$ac_dir" in
  [\\/]* | ?:[\\/]* ) ac_incr_dir=;;
  *)                      ac_incr_dir=.;;
esac
ac_dummy="$ac_dir"
for ac_mkdir_dir in `IFS='\\/'; set X $ac_dummy; shift; echo "$@"`; do
  case $ac_mkdir_dir in
    # Skip DOS drivespec
    ?:) ac_incr_dir=$ac_mkdir_dir ;;
    *)
      ac_incr_dir=$ac_incr_dir/$ac_mkdir_dir
      test -d "$ac_incr_dir" || mkdir "$ac_incr_dir"
    ;;
  esac
done; }

    ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
    # A "../" for each directory in $ac_dir_suffix.
    ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
  else
    ac_dir_suffix= ac_dots=
  fi

  case $ac_given_srcdir in
  .)  srcdir=.
      if test -z "$ac_dots"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots | sed 's,/$,,'`; fi ;;
  [\\/]* )
      srcdir=$ac_given_srcdir$ac_dir_suffix;
      top_srcdir=$ac_given_srcdir ;;
  ?:[\\/]* )
      if test -d /dev/env/DJDIR -a -n "$DJGPP" -a -f "$DJGPP"; then
	# This takes out the colon, so the loop for ac_file_inputs still works
	# on DOS (IFS = ':'!)
	ac_given_srcdir=`echo $ac_given_srcdir |sed 's,^\(.\):,/dev/\1,'`;
      fi
      srcdir=$ac_given_srcdir$ac_dir_suffix;
      top_srcdir=$ac_given_srcdir ;;
  *) # Relative path.
    srcdir=$ac_dots$ac_given_srcdir$ac_dir_suffix
    top_srcdir=$ac_dots$ac_given_srcdir ;;
  esac

  case $ac_given_INSTALL in
  [\\/$]* | ?:[\\/]* ) INSTALL=$ac_given_INSTALL ;;
  *) INSTALL=$ac_dots$ac_given_INSTALL ;;
  esac

  if test x"$ac_file" != x-; then
    { echo "$as_me:7494: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
    rm -f "$ac_file"
  fi
  # Let's still pretend it is `configure' which instantiates (i.e., don't
  # use $as_me), people would be surprised to read:
  #    /* config.h.  Generated automatically by config.status.  */
  configure_input="Generated automatically from `echo $ac_file_in |
                                                 sed 's,.*/,,'` by configure."

  # First look for the input files in the build tree, otherwise in the
  # src tree.
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
      case $f in
      -) echo $tmp/stdin ;;
      [\\/$]*)
         # Absolute (can't be DOS-style, as IFS=:)
         test -f "$f" || { { echo "$as_me:7512: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         echo $f;;
      *) # Relative
         if test -f "$f"; then
           # Build tree
           echo $f
         elif test -f "$ac_given_srcdir/$f"; then
           # Source tree
           echo $ac_given_srcdir/$f
         else
           # /dev/null tree
           { { echo "$as_me:7525: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         fi;;
      esac
    done`
  test -n "$ac_file_inputs" || { (exit 1); exit 1; }
  sed "

:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@configure_input@,$configure_input,;t t
s,@srcdir@,$srcdir,;t t
s,@top_srcdir@,$top_srcdir,;t t
s,@INSTALL@,$INSTALL,;t t
" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  rm -f $tmp/stdin
  if test x"$ac_file" != x-; then
    mv $tmp/out $ac_file
  else
    cat $tmp/out
    rm -f $tmp/out
  fi

done

#
# CONFIG_HEADER section.
#

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s,^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
ac_dB='[ 	].*$,\1#\2'
ac_dC=' '
ac_dD=',;t'
# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_uA='s,^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='$,\1#\2define\3'
ac_uC=' '
ac_uD=',;t'

for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  if test -d /dev/env/DJDIR -a -n "$DJGPP" -a -f "$DJGPP"; then
    # Special rule for DOS paths. In order to prevent confusion between the
    # drivespec and the delimiter, we make it a /dev/-style path.
    case $ac_file in
      ?:[\\/]* )
	ac_file_in=`echo "$ac_file" |sed 's,^\(.\):\([\\/].*:\),/dev/\1\2,' \
        |sed 's,:\(.\):[\\/],:/dev/\1/,'`;;
    esac
  fi

  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case $ac_file in
  - | *:- | *:-:* ) # input from stdin
        cat >$tmp/stdin
        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  * )   ac_file_in=$ac_file.in ;;
  esac

  test x"$ac_file" != x- && { echo "$as_me:7597: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}

  # First look for the input files in the build tree, otherwise in the
  # src tree.
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
      case $f in
      -) echo $tmp/stdin ;;
      [\\/$]*)
         # Absolute (can't be DOS-style, as IFS=:)
         test -f "$f" || { { echo "$as_me:7608: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         echo $f;;
      *) # Relative
         if test -f "$f"; then
           # Build tree
           echo $f
         elif test -f "$ac_given_srcdir/$f"; then
           # Source tree
           echo $ac_given_srcdir/$f
         else
           # /dev/null tree
           { { echo "$as_me:7621: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         fi;;
      esac
    done`
  test -n "$ac_file_inputs" || { (exit 1); exit 1; }
  # Remove the trailing spaces.
  sed 's/[ 	]*$//' $ac_file_inputs >$tmp/in

  # Handle all the #define templates only if necessary.
  if egrep "^[ 	]*#[ 	]*define" $tmp/in >/dev/null; then
  # If there are no defines, we may have an empty if/fi
  :
  cat >$tmp/defines.sed <<CEOF
/^[ 	]*#[ 	]*define/!b
t clr
: clr
${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.7.5"${ac_dD}
${ac_dA}ST_MAJOR_VERSION${ac_dB}ST_MAJOR_VERSION${ac_dC}1${ac_dD}
${ac_dA}ST_MINOR_VERSION${ac_dB}ST_MINOR_VERSION${ac_dC}7${ac_dD}
${ac_dA}ST_EDIT_VERSION${ac_dB}ST_EDIT_VERSION${ac_dC}5${ac_dD}
${ac_dA}MAINTAINER${ac_dB}MAINTAINER${ac_dC}"bonzini@gnu.org"${ac_dD}
${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
${ac_dA}SIZEOF_INT${ac_dB}SIZEOF_INT${ac_dC}4${ac_dD}
${ac_dA}SIZEOF_LONG${ac_dB}SIZEOF_LONG${ac_dC}4${ac_dD}
${ac_dA}SIZEOF_CHAR_P${ac_dB}SIZEOF_CHAR_P${ac_dC}4${ac_dD}
${ac_dA}DOUBLE_ALIGNMENT${ac_dB}DOUBLE_ALIGNMENT${ac_dC}SIZEOF_CHAR_P${ac_dD}
${ac_dA}HAVE_GOTO_VOID_P${ac_dB}HAVE_GOTO_VOID_P${ac_dC}1${ac_dD}
${ac_dA}MACHINE_DEFINES${ac_dB}MACHINE_DEFINES${ac_dC}"DJGPP"\\, "GO32"\\, "MSDOS"\\, "__DJGPP__"\\, "__MSDOS__"\\, "__STDC__"\\, "__i386"\\, "__i386__"\\, "__unix"\\, "i386"\\, "unix"\\, ${ac_dD}
${ac_dA}HAVE_STDARG_H${ac_dB}HAVE_STDARG_H${ac_dC}1${ac_dD}
${ac_dA}GRAMMAR_HEADER${ac_dB}GRAMMAR_HEADER${ac_dC}"gst_tab.h"${ac_dD}
${ac_dA}NAMES83${ac_dB}NAMES83${ac_dC}1${ac_dD}
${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_IO_H${ac_dB}HAVE_IO_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_UTSNAME_H${ac_dB}HAVE_SYS_UTSNAME_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
${ac_dA}HAVE_PUTENV${ac_dB}HAVE_PUTENV${ac_dC}1${ac_dD}
${ac_dA}HAVE_QSORT${ac_dB}HAVE_QSORT${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
${ac_dA}HAVE_GETHOSTNAME${ac_dB}HAVE_GETHOSTNAME${ac_dC}1${ac_dD}
${ac_dA}HAVE_MEMCPY${ac_dB}HAVE_MEMCPY${ac_dC}1${ac_dD}
${ac_dA}HAVE_LDEXP${ac_dB}HAVE_LDEXP${ac_dC}1${ac_dD}
${ac_dA}HAVE_UNAME${ac_dB}HAVE_UNAME${ac_dC}1${ac_dD}
CEOF
  sed -f $tmp/defines.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  cat >$tmp/defines.sed <<CEOF
/^[ 	]*#[ 	]*define/!b
t clr
: clr
${ac_dA}HAVE_IOCTL${ac_dB}HAVE_IOCTL${ac_dC}1${ac_dD}
${ac_dA}HAVE_PIPE${ac_dB}HAVE_PIPE${ac_dC}1${ac_dD}
${ac_dA}HAVE_POPEN${ac_dB}HAVE_POPEN${ac_dC}1${ac_dD}
${ac_dA}HAVE_GETDTABLESIZE${ac_dB}HAVE_GETDTABLESIZE${ac_dC}1${ac_dD}
${ac_dA}HAVE_GETRUSAGE${ac_dB}HAVE_GETRUSAGE${ac_dC}1${ac_dD}
${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
${ac_dA}HAVE_GETCWD${ac_dB}HAVE_GETCWD${ac_dC}1${ac_dD}
${ac_dA}HAVE_ALARM${ac_dB}HAVE_ALARM${ac_dC}1${ac_dD}
${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_WAIT${ac_dB}HAVE_WAIT${ac_dC}1${ac_dD}
${ac_dA}HAVE_WAITPID${ac_dB}HAVE_WAITPID${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBSOCKET${ac_dB}HAVE_LIBSOCKET${ac_dC}1${ac_dD}
${ac_dA}HAVE_INET_SOCKETS${ac_dB}HAVE_INET_SOCKETS${ac_dC}1${ac_dD}
${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
${ac_dA}LOCALTIME_CACHE${ac_dB}LOCALTIME_CACHE${ac_dC}1${ac_dD}
${ac_dA}X_DISPLAY_MISSING${ac_dB}X_DISPLAY_MISSING${ac_dC}1${ac_dD}
${ac_dA}HAVE_READLINE${ac_dB}HAVE_READLINE${ac_dC}1${ac_dD}
${ac_dA}KERNEL_PATH${ac_dB}KERNEL_PATH${ac_dC}"/dev/env/DJDIR/share/gnu-smalltalk/kernel"${ac_dD}
${ac_dA}IMAGE_PATH${ac_dB}IMAGE_PATH${ac_dC}"/dev/env/DJDIR/share/gnu-smalltalk"${ac_dD}
CEOF
  sed -f $tmp/defines.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  fi # egrep

  # Handle all the #undef templates
  cat >$tmp/undefs.sed <<CEOF
/^[ 	]*#[ 	]*undef/!b
t clr
: clr
${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.7.5"${ac_uD}
${ac_uA}ST_MAJOR_VERSION${ac_uB}ST_MAJOR_VERSION${ac_uC}1${ac_uD}
${ac_uA}ST_MINOR_VERSION${ac_uB}ST_MINOR_VERSION${ac_uC}7${ac_uD}
${ac_uA}ST_EDIT_VERSION${ac_uB}ST_EDIT_VERSION${ac_uC}5${ac_uD}
${ac_uA}MAINTAINER${ac_uB}MAINTAINER${ac_uC}"bonzini@gnu.org"${ac_uD}
${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
${ac_uA}SIZEOF_INT${ac_uB}SIZEOF_INT${ac_uC}4${ac_uD}
${ac_uA}SIZEOF_LONG${ac_uB}SIZEOF_LONG${ac_uC}4${ac_uD}
${ac_uA}SIZEOF_CHAR_P${ac_uB}SIZEOF_CHAR_P${ac_uC}4${ac_uD}
${ac_uA}DOUBLE_ALIGNMENT${ac_uB}DOUBLE_ALIGNMENT${ac_uC}SIZEOF_CHAR_P${ac_uD}
${ac_uA}HAVE_GOTO_VOID_P${ac_uB}HAVE_GOTO_VOID_P${ac_uC}1${ac_uD}
${ac_uA}MACHINE_DEFINES${ac_uB}MACHINE_DEFINES${ac_uC}"DJGPP"\\, "GO32"\\, "MSDOS"\\, "__DJGPP__"\\, "__MSDOS__"\\, "__STDC__"\\, "__i386"\\, "__i386__"\\, "__unix"\\, "i386"\\, "unix"\\, ${ac_uD}
${ac_uA}HAVE_STDARG_H${ac_uB}HAVE_STDARG_H${ac_uC}1${ac_uD}
${ac_uA}GRAMMAR_HEADER${ac_uB}GRAMMAR_HEADER${ac_uC}"gst_tab.h"${ac_uD}
${ac_uA}NAMES83${ac_uB}NAMES83${ac_uC}1${ac_uD}
${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_IO_H${ac_uB}HAVE_IO_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_UTSNAME_H${ac_uB}HAVE_SYS_UTSNAME_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
${ac_uA}HAVE_PUTENV${ac_uB}HAVE_PUTENV${ac_uC}1${ac_uD}
${ac_uA}HAVE_QSORT${ac_uB}HAVE_QSORT${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
${ac_uA}HAVE_GETHOSTNAME${ac_uB}HAVE_GETHOSTNAME${ac_uC}1${ac_uD}
${ac_uA}HAVE_MEMCPY${ac_uB}HAVE_MEMCPY${ac_uC}1${ac_uD}
${ac_uA}HAVE_LDEXP${ac_uB}HAVE_LDEXP${ac_uC}1${ac_uD}
${ac_uA}HAVE_UNAME${ac_uB}HAVE_UNAME${ac_uC}1${ac_uD}
CEOF
  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  cat >$tmp/undefs.sed <<CEOF
/^[ 	]*#[ 	]*undef/!b
t clr
: clr
${ac_uA}HAVE_IOCTL${ac_uB}HAVE_IOCTL${ac_uC}1${ac_uD}
${ac_uA}HAVE_PIPE${ac_uB}HAVE_PIPE${ac_uC}1${ac_uD}
${ac_uA}HAVE_POPEN${ac_uB}HAVE_POPEN${ac_uC}1${ac_uD}
${ac_uA}HAVE_GETDTABLESIZE${ac_uB}HAVE_GETDTABLESIZE${ac_uC}1${ac_uD}
${ac_uA}HAVE_GETRUSAGE${ac_uB}HAVE_GETRUSAGE${ac_uC}1${ac_uD}
${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
${ac_uA}HAVE_GETCWD${ac_uB}HAVE_GETCWD${ac_uC}1${ac_uD}
${ac_uA}HAVE_ALARM${ac_uB}HAVE_ALARM${ac_uC}1${ac_uD}
${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_WAIT${ac_uB}HAVE_WAIT${ac_uC}1${ac_uD}
${ac_uA}HAVE_WAITPID${ac_uB}HAVE_WAITPID${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBSOCKET${ac_uB}HAVE_LIBSOCKET${ac_uC}1${ac_uD}
${ac_uA}HAVE_INET_SOCKETS${ac_uB}HAVE_INET_SOCKETS${ac_uC}1${ac_uD}
${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
${ac_uA}LOCALTIME_CACHE${ac_uB}LOCALTIME_CACHE${ac_uC}1${ac_uD}
${ac_uA}X_DISPLAY_MISSING${ac_uB}X_DISPLAY_MISSING${ac_uC}1${ac_uD}
${ac_uA}HAVE_READLINE${ac_uB}HAVE_READLINE${ac_uC}1${ac_uD}
${ac_uA}KERNEL_PATH${ac_uB}KERNEL_PATH${ac_uC}"/dev/env/DJDIR/share/gnu-smalltalk/kernel"${ac_uD}
${ac_uA}IMAGE_PATH${ac_uB}IMAGE_PATH${ac_uC}"/dev/env/DJDIR/share/gnu-smalltalk"${ac_uD}
s,^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
CEOF
  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  # Let's still pretend it is `configure' which instantiates (i.e., don't
  # use $as_me), people would be surprised to read:
  #    /* config.h.  Generated automatically by config.status.  */
  if test x"$ac_file" = x-; then
    echo "/* Generated automatically by configure.  */" >$tmp/config.h
  else
    echo "/* $ac_file.  Generated automatically by configure.  */" >$tmp/config.h
  fi
  cat $tmp/in >>$tmp/config.h
  rm -f $tmp/in
  if test x"$ac_file" != x-; then
    if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
      { echo "$as_me:7739: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
    else
      ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$ac_file" : 'X\(//\)[^/]' \| \
         X"$ac_file" : 'X\(//\)$' \| \
         X"$ac_file" : 'X\(/\)' \| \
         .     : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`
      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
        { case "$ac_dir" in
  [\\/]* | ?:[\\/]* ) ac_incr_dir=;;
  *)                      ac_incr_dir=.;;
esac
ac_dummy="$ac_dir"
for ac_mkdir_dir in `IFS='\\/'; set X $ac_dummy; shift; echo "$@"`; do
  case $ac_mkdir_dir in
    # Skip DOS drivespec
    ?:) ac_incr_dir=$ac_mkdir_dir ;;
    *)
      ac_incr_dir=$ac_incr_dir/$ac_mkdir_dir
      test -d "$ac_incr_dir" || mkdir "$ac_incr_dir"
    ;;
  esac
done; }

      fi
      rm -f $ac_file
      mv $tmp/config.h $ac_file
    fi
  else
    cat $tmp/config.h
    rm -f $tmp/config.h
  fi
done

#
# CONFIG_COMMANDS section.
#
for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`

  case $ac_dest in
    default )
  echo timestamp > stamp-h
  test ! -f Makefile && ./modules
 ;;
  esac
done

exit 0
